Subject: Re: [GSoC PATCH v5 0/5] repo: add new command for retrieving repository info

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 29 Jul 2025 11:35:30 +0200

On Sun, Jul 27, 2025 at 04:11:57PM -0400, Eric Sunshine wrote:
> On Sun, Jul 27, 2025 at 1:51 PM Lucas Seiki Oshiro
> <[email-masked]> wrote:
> > This v6 contains small fixes pointed in v5.
> >
> > In v5, Patrick and Junio were discussing about quoting the values in the
> > key=value format using `quote_c_style` [1]. Given that it wouldn't affect
> > this patchset and it's a simple change that can be done later, I didn't
> > change it and I'll leave for further discussion when I start to deal
> > with paths.
> 
> The counterargument to this stance is that if you employ
> `quote_c_style` from the onset and document it, then if a future
> version of Git does start outputting values containing "funny"
> characters for properties which previously did not emit such values
> (this isn't limited to paths), then consumers who heeded the
> documentation won't find their tooling breaking suddenly. Tooling may
> break for consumers who did not heed the documentation, but that will
> be due to their own shortsightedness, not due to the Git project
> failing to care about compatibility between versions. For this reason,
> I'm of the opinion that `quote_c_style` should be used and documented
> even at this very early stage.

Likewise, I think we should do it now already. In general I don't think
it should matter much given that tooling should use NUL-terminated modes
anyway. But it's a rather simple change, so I don't see a strong reason
to push it into the future.

Patrick